# cli

cli tool for the ngx-next platform

[![oclif](https://img.shields.io/badge/cli-oclif-brightgreen.svg)](https://oclif.io)
[![Version](https://img.shields.io/npm/v/cli.svg)](https://npmjs.org/package/cli)
[![CircleCI](https://circleci.com/gh/ngx-next/cli/tree/master.svg?style=shield)](https://circleci.com/gh/ngx-next/cli/tree/master)
[![Downloads/week](https://img.shields.io/npm/dw/cli.svg)](https://npmjs.org/package/cli)
[![License](https://img.shields.io/npm/l/cli.svg)](https://github.com/ngx-next/cli/blob/master/package.json)

<!-- toc -->
* [cli](#cli)
* [Usage](#usage)
* [Commands](#commands)
* [Command Topics](#command-topics)
<!-- tocstop -->

# Usage

<!-- usage -->
```sh-session
$ npm install -g @ngx-next/cli
$ ngx COMMAND
running command...
$ ngx (-v|--version|version)
@ngx-next/cli/0.8.3 darwin-x64 node-v10.13.0
$ ngx --help [COMMAND]
USAGE
  $ ngx COMMAND
...
```
<!-- usagestop -->

# Commands

<!-- commands -->
# Command Topics

* [`ngx build`](docs/build.md) - build all packages in the current ngx-workspace
* [`ngx clean`](docs/clean.md) - clean all packages in the current ngx-workspace
* [`ngx commands`](docs/commands.md) - list all the commands
* [`ngx docs`](docs/docs.md) - generate docs for all packages in the current ngx-workspace
* [`ngx help`](docs/help.md) - display help for ngx
* [`ngx publish`](docs/publish.md) - publish all packages in the current ngx workspace

<!-- commandsstop -->
